/**
 * @file
 * Scripts to show/hide OAuth secret field's content.
 */

(function ($) {
  /**
   * Reveal OAuth secret behavior.
   */
  Drupal.behaviors.contextIOAdminRevealSecret = {
    attach: function (context, settings) {
      // Change password input field type to text and reverse.
      $('#contextio-reveal-secret').click(function() {
        var $contextIOSecret = $('#contextio-secret');
        var $contextIOSecretClone = $contextIOSecret.clone();
        if ($(this).is(':checked')) {
          $contextIOSecretClone.attr('type', 'text');
          $contextIOSecretClone.insertBefore($contextIOSecret);
          $contextIOSecret.remove();
        } else {
          $contextIOSecretClone.attr('type', 'password');
          $contextIOSecretClone.insertBefore($contextIOSecret);
          $contextIOSecret.remove();
        }
      });
    }
  }
})(jQuery);
